/* Revision: 2.7.3 */

/******************************************************************************
* Copyright 1998-2015 NetBurner, Inc.  ALL RIGHTS RESERVED
*
*    Permission is hereby granted to purchasers of NetBurner Hardware to use or
*    modify this computer program for any use as long as the resultant program
*    is only executed on NetBurner provided hardware.
*
*    No other rights to use this program or its derivatives in part or in
*    whole are granted.
*
*    It may be possible to license this or other NetBurner software for use on
*    non-NetBurner Hardware. Contact sales@Netburner.com for more information.
*
*    NetBurner makes no representation or warranties with respect to the
*    performance of this computer program, and specifically disclaims any
*    responsibility for any damages, special or consequential, connected with
*    the use of this program.
*
* NetBurner
* 5405 Morehouse Dr.
* San Diego, CA 92121
* www.netburner.com
******************************************************************************/

/*------------------------------------------------------------------------------
 * File:         webfuncs.cpp
 * Description:  Dynamic web server content functions.
 *----------------------------------------------------------------------------*/
#include <predef.h>
#include <basictypes.h>
#include <iosys.h>
#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include <string.h>
#include <pins.h>
#include "webfuncs.h"


char buffer[255];
extern uint32_t TimerCaptureRegDelta;


/*-------------------------------------------------------------------
 *
 * -----------------------------------------------------------------*/
extern "C" void webShowFreq( int sock, PCSTR url )
{
    sprintf(buffer, "Frequency: %0.2f (0x%08lX)\r\n", (float)(125000000.0/(float)TimerCaptureRegDelta), TimerCaptureRegDelta);
    writestring( sock, buffer );
}


